Name:             centos-release-kmods
Version:          1
Release:          5%{?dist}
Summary:          CentOS Kmods SIG package repositories

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          CentOS-Kmods.repo

BuildArch:        noarch

Provides:         centos-release-kmods-rebuild = %{version}-%{release}

Recommends:       epel-release


%description
This package provides the package repository files for CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Kmods.repo
%ghost %{_sysconfdir}/yum.repos.d/CentOS-Kmods-Rebuild.repo


%triggerin -- centos-release-kmods-rebuild
REPO=/etc/yum.repos.d/CentOS-Kmods.repo
if [ -f "${REPO}" ]
then
    sed -i '/^\[centos-kmods-rebuild\]$/,/^enabled=.$/s/^enabled=0$/enabled=1/' $REPO
fi


%changelog
* Thu Jan 27 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-5
- Add Recommends epel-release

* Mon Jan 24 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-4
- Add centos-kmods-debuginfo repository

* Thu Jan 20 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-3
- Add *-source repos
- Use a single config file for all repos
- Disable centos-kmods-rebuild by default

* Thu Aug 12 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-2
- Add *-testing repos

* Thu Aug 12 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-1
- Initial release
